Listar transações
curl --request GET \
--url https://api.juridiq.com.br/financial/transactions \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/financial/transactions"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/financial/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"description": "<string>",
"type": "<string>",
"value": 123,
"date": "<string>",
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partialValue": 123,
"paymentDate": "<string>",
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lawSuitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPaid": true,
"isFixed": true,
"hasScheduling": true,
"installmentLabel": "<string>",
"annotations": "<string>",
"billName": "<string>",
"billIcon": "<string>",
"billIsPrivate": true,
"categoryName": "<string>",
"categoryColor": "<string>",
"categoryIcon": "<string>",
"personName": "<string>",
"lawSuitProcessNumber": "<string>",
"isExternalGateway": true,
"gateway": {
"kind": "PAYMENT",
"value": 123,
"createdAt": "<string>",
"status": "<string>",
"dueDate": "<string>",
"paymentDate": "<string>",
"installmentNumber": 123,
"discount": {
"value": 123,
"dueDateLimitDays": 1,
"type": "FIXED"
},
"fine": {
"value": 123,
"type": "FIXED"
},
"interest": {
"value": 123
},
"invoiceUrl": "<string>",
"gatewayPaymentUrl": "<string>"
}
}
],
"totals": {
"total": 123,
"incoming": 123,
"outcoming": 123
},
"chartIncome": {
"partialValue": 123,
"totalValue": 123
},
"chartOutcome": {
"partialValue": 123,
"totalValue": 123
},
"totalResults": 123,
"totalPages": 123,
"currentPage": 123
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Financial
Listar transações
GET
/
financial
/
transactions
Listar transações
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Query Parameters
Página
Itens por página
Busca geral
Busca por descrição
Busca por cliente
ID da categoria
incoming ou outcoming
ID da conta
paid ou pending
monthly, annual ou custom
Data inicial
Data final
Campo de data
Available options:
date, paymentAt Período por data
Available options:
date, paymentDate Ordenação
Campo de ordenação
Descrição
Valor
Data
ID da pessoa
ID da conta
ID do processo
Mês
Ano
Início do período
Fim do período
true ou false
true ou false
Response
Default Response
Transações
Show child attributes
Show child attributes
Totais
Show child attributes
Show child attributes
Gráfico de entradas
Show child attributes
Show child attributes
Gráfico de saídas
Show child attributes
Show child attributes
Total de registros
Total de páginas
Página atual

